curl --request GET \
--url https://api.hubapi.com/crm/v3/pipelines/{objectType} \
--header 'Authorization: Bearer <token>'{
"results": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"displayOrder": 0,
"id": "812723471",
"label": "My ticket pipeline",
"stages": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"displayOrder": 0,
"id": "1234912",
"label": "In Progress",
"metadata": {
"ticketState": "OPEN"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
},
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"displayOrder": 0,
"id": "1234914",
"label": "Done",
"metadata": {
"ticketState": "CLOSED"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"updatedAt": "2019-12-07T16:50:06.678Z"
}
]
}Retorne todos os pipelines para o objeto especificado por "".
curl --request GET \
--url https://api.hubapi.com/crm/v3/pipelines/{objectType} \
--header 'Authorization: Bearer <token>'{
"results": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"displayOrder": 0,
"id": "812723471",
"label": "My ticket pipeline",
"stages": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"displayOrder": 0,
"id": "1234912",
"label": "In Progress",
"metadata": {
"ticketState": "OPEN"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
},
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"displayOrder": 0,
"id": "1234914",
"label": "Done",
"metadata": {
"ticketState": "CLOSED"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"updatedAt": "2019-12-07T16:50:06.678Z"
}
]
}Produtos suportados
Escopos Necessários
The access token received from the authorization server in the OAuth 2.0 flow.
O tipo de objeto dos fluxos de trabalho que estão sendo recuperados (ex.: negócios ou tickets)
successful operation
Show child attributes